Bug 1348901 - vpn dns record is not deleted when profile goes down
Summary: vpn dns record is not deleted when profile goes down
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1348887
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-22 09:34 UTC by Vladimir Benes
Modified: 2016-11-03 19:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1348887
Environment:
Last Closed: 2016-11-03 19:23:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Vladimir Benes 2016-06-22 09:34:17 UTC
and whatmore if disconnecting, dns record doesn't go away.. not sure if these two issues are connected or not.



+++ This bug was initially created as a clone of Bug #1348887 +++

Description of problem:
when connected via ethernet with two dns record vpn's dns record is added into the middle but it should be added as the first one.


Version-Release number of selected component (if applicable):
NetworkManager-1.4.0-0.1.git20160606.b769b4df.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.connect to ethernet with two dns record
2.connect to libreswan vpn 

Actual results:
vpn's dns is in the middle 

Expected results:
should be first

Additional info:

Comment 1 Beniamino Galvani 2016-06-24 07:42:51 UTC
Fix in upstream branch bg/vpn-dns-rh1348901

Comment 2 Thomas Haller 2016-06-27 13:21:20 UTC
(In reply to Beniamino Galvani from comment #1)
> Fix in upstream branch bg/vpn-dns-rh1348901

lgtm.

I pushed a fixup there, but feel free to revert it. Doesn't matter too much...

Comment 3 Lubomir Rintel 2016-06-28 14:21:49 UTC
Looks alright

Comment 4 Beniamino Galvani 2016-06-28 14:55:51 UTC
(In reply to Thomas Haller from comment #2)
> I pushed a fixup there, but feel free to revert it. Doesn't matter too
> much...

Squashed and merged to master:

https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=88637dee661a3eb7e2e44fcb92ff33a4eccc9604

nm-1-2:

https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?h=nm-1-2&id=7ec5fa74e47e42af541967c2b5732d5bd447370d

Comment 7 errata-xmlrpc 2016-11-03 19:23:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.